### Collect

Category

Structuring

Function

Collects objects into a group.

Syntax

    group = Collect(object, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | no default | object to be collected
`...` |  |  | more objects to be collected

Outputs

Name | Type | Description
--- | --- | ---
`group` | group | the group of objects

Functional Details

This module creates a group from a set of input objects.

`object` | is an object to be placed in a group.

Note that fields placed in the generic group created by the module retain their individuality. For example, AutoColor colors each field in the group based on its own minimum and maximum data values; and Sample samples each field individually. These examples contrast with the composite fields created by Partition and the multigrid field created by CollectMultigrid.

The Collect module adds objects to the group without assigning them names. Use the Select module to select an object from the group by number, where the first object is number 0.

If Collect is called without parameters--Collect()--then the output is an empty group.

A single module can collect a maximum of 21 objects. In the user interface, the default number of enabled tabs is two. However, tabs can be added and removed with the appropriate `Input/Output Tab` options in the `Edit` pull-down menu of the VPE.

Components

All input components are propagated to the output.

Example Visual Programs

Nearly every example visual program uses Collect.

See Also

Append, CollectMultiGrid, CollectNamed, CollectSeries, Select

[ OpenDX Home at IBM | OpenDX.org ]